JBossTransactionCM (CMDB Model API)
Keywords: com.collation.platform.model.topology.app.j2ee.jboss.JBossTransactionCM interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.app.j2ee.jboss
Interface JBossTransactionCM

All Superinterfaces:
  ConfigurationItem, J2EEResource, LogicalElement, ManagedElement, ManagedSystemElement, ModelObject, java.io.Serializable, SoftwareResource

    public interface JBossTransactionCM

extends J2EEResource

JBossTransactionCM

Naming Rules:
  0="domain,name" 1="server,name"
Persistable:
  true

Field Summary
`static java.lang.String` | `IBM_COPYRIGHT`

Method Summary
`java.lang.String` | `getInstance()`
`java.lang.String` | `getJNDIName()`
`boolean` | `getLocalTransactions()`
`java.lang.String` | `getSecurityDomain()`
`java.lang.String` | `getStateString()`
`boolean` | `getTrackConnectionsByTx()`
`java.lang.String` | `getTransactionManager()`
`int` | `getTransactionTimeout()`
`boolean` | `hasInstance()`
`boolean` | `hasJNDIName()`
`boolean` | `hasLocalTransactions()`
`boolean` | `hasSecurityDomain()`
`boolean` | `hasStateString()`
`boolean` | `hasTrackConnectionsByTx()`
`boolean` | `hasTransactionManager()`
`boolean` | `hasTransactionTimeout()`
`void` | `setInstance(java.lang.String instance)`
`void` | `setJNDIName(java.lang.String jndi)`
`void` | `setLocalTransactions(boolean bool)`
`void` | `setSecurityDomain(java.lang.String domain)`
`void` | `setStateString(java.lang.String state)`
`void` | `setTrackConnectionsByTx(boolean bool)`
`void` | `setTransactionManager(java.lang.String trans)`
`void` | `setTransactionTimeout(int port)`

Methods inherited from interface com.collation.platform.model.topology.app.j2ee.J2EEResource
`getDomain, getServer, hasDomain, hasServer, setDomain, setServer`

Methods inherited from interface com.collation.platform.model.topology.app.SoftwareResource
`getName, getParent, hasName, hasParent, setName, setParent`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Methods inherited from interface com.collation.platform.model.topology.process.itil.ConfigurationItem
`getAssetID, getAssetTag, getCICategory, getConfigLastUpdate, getLastAuditState, getLastAuditTime, getLastLifecycleStateTime, getLifecycleState, getPrimaryOwner, hasAssetID, hasAssetTag, hasCICategory, hasConfigLastUpdate, hasLastAuditState, hasLastAuditTime, hasLastLifecycleStateTime, hasLifecycleState, hasPrimaryOwner, setAssetID, setAssetTag, setCICategory, setConfigLastUpdate, setLastAuditState, setLastAuditTime, setLastLifecycleStateTime, setLifecycleState, setPrimaryOwner`

Field Detail

### IBM_COPYRIGHT

    static final java.lang.String IBM_COPYRIGHT

See Also:
  Constant Field Values

Method Detail

### getInstance

    java.lang.String getInstance()
                                 throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setInstance

    void setInstance(java.lang.String instance)

### hasInstance

    boolean hasInstance()

### getStateString

    java.lang.String getStateString()
                                    throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setStateString

    void setStateString(java.lang.String state)

### hasStateString

    boolean hasStateString()

### getJNDIName

    java.lang.String getJNDIName()
                                 throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setJNDIName

    void setJNDIName(java.lang.String jndi)

### hasJNDIName

    boolean hasJNDIName()

### getSecurityDomain

    java.lang.String getSecurityDomain()
                                       throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setSecurityDomain

    void setSecurityDomain(java.lang.String domain)

### hasSecurityDomain

    boolean hasSecurityDomain()

### getTransactionManager

    java.lang.String getTransactionManager()
                                           throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setTransactionManager

    void setTransactionManager(java.lang.String trans)

### hasTransactionManager

    boolean hasTransactionManager()

### getLocalTransactions

    boolean getLocalTransactions()
                                 throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setLocalTransactions

    void setLocalTransactions(boolean bool)

### hasLocalTransactions

    boolean hasLocalTransactions()

### getTrackConnectionsByTx

    boolean getTrackConnectionsByTx()
                                    throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setTrackConnectionsByTx

    void setTrackConnectionsByTx(boolean bool)

### hasTrackConnectionsByTx

    boolean hasTrackConnectionsByTx()

### getTransactionTimeout

    int getTransactionTimeout()
                              throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setTransactionTimeout

    void setTransactionTimeout(int port)

### hasTransactionTimeout

    boolean hasTransactionTimeout()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD